# Help built-in

The help built-in prints usage of built-ins.

## Syntax

- `help [built-in…]`

## Description

The help built-in prints a description of built-ins.

The built-in extracts part of the output of `man yash` and prints it to the standard output. Therefore, the manual page of yash must have been installed for the built-in to work. Depending on the formatting style of the man command, the built-in may not work as expected.

## Operands

built-ins

  Names of built-ins.

## Exit status

The exit status of the help built-in is zero unless there is any error.

## Notes

The help built-in is not defined in the POSIX standard.

Many built-ins of yash accept the `--help` option that prints the same description.